Subject: Re: How do I detect a failure in Make?
From: Doyle Rhynard <[email-masked]>
To: [email-masked]
Date: Fri, 28 Apr 2006 14:51:05 -0700
Newsgroups: gmane.os.cygwin

Richard Quadling wrote:
> On 26/04/06, mwoehlke <[email-masked]> wrote:
>> Richard Quadling wrote:
>>> I have the following bash script ...
>>>
>>> #!/bin/sh
>>> cvs up 2> $HOME/cvs1.log > $HOME/cvs2.log
>>> cd phpdoc
>>> autoconf -v -d --warnings=all &> $HOME/autoconf.log
>>> ./configure --with-source=./../php-src --with-pear-source=./../pear
>>> --with-chm=yes --with-treesaving > $HOME/configure.log
>>> make test > $HOME/make_test.log
>>> make test_xml > $HOME/make_test_xml.log
>>> make chm_xsl > $HOME/make_chm_xsl.log
>>>
>>> Is there a way of stopping the makes if there was a problem.
> 
>> Matthew said using [ $? -eq 0 ] || exit $? after each make line would work.
> 
> It doesn't. The issue is that the make function is crashing (the core
> dump ??!!!??).
> 
> I'm not responsible for the construction of the make file, I just want
> to stop my script from running if there is a problem.
> 
> --
> -----
> Fight back spam! Download the Blue Frog.
> http://www.bluesecurity.com/register/s?user=UlF1YWRsaW5n

Use "remake" the make debugger <http://bashdb.sourceforge.net/remake/>
It will allow you to step through the makefile and stop when an error is 
found.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/